cURL
curl --request GET \
--url https://api.samora.ai/v1/call/{call_id} \
--header 'X-API-Key: <api-key>'import requests
url = "https://api.samora.ai/v1/call/{call_id}"
headers = {"X-API-Key": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'X-API-Key': '<api-key>'}};
fetch('https://api.samora.ai/v1/call/{call_id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"message": "Call details fetched successfully",
"data": {
"agent_id": "123e4567-e89b-12d3-a456-426614174000",
"created_at": "2024-01-15T10:30:00Z",
"updated_at": "2024-01-15T10:35:00Z",
"started_at": "2024-01-15T10:30:05Z",
"ended_at": "2024-01-15T10:35:30Z",
"transcript_url": "https://s3.amazonaws.com/bucket/transcript.pdf?X-Amz-Algorithm=...",
"recording_url": "https://s3.amazonaws.com/bucket/recording.mp3?X-Amz-Algorithm=...",
"status": "CALL_FINISHED",
"call_variables": {
"name": "John Doe",
"email": "john.doe@example.com",
"customer_id": "CUST-001"
},
"call_dispositions": [
{
"id": "b1h2a3r4-t5i6-7890-1234-567890abcdef",
"name": "Final Outcome",
"type": "mcq",
"answer": "Voicemail Left",
"_source": "consensus",
"choices": [
"Callback Scheduled",
"Not Interested",
"Voicemail Left",
"Hung Up",
"Abusive/DNC"
],
"question": "What was the final outcome of the call?"
},
{
"id": "f5n6o7t8-e9s0-1234-5678-90abcdef1234",
"name": "Call Summary",
"type": "subjective",
"answer": "The call went to voicemail, and the assistant attempted to engage but received no response.",
"_source": "primary",
"question": "Briefly summarize the call."
}
]
}
}{
"message": "<string>"
}{
"message": "Call not found or does not belong to your company"
}{
"message": "<string>"
}API reference
Get call details
Retrieves detailed information about a specific call by its ID. The call must belong to an agent that belongs to your company. Transcript and recording URLs are presigned and valid for 60 minutes.
GET
/
v1
/
call
/
{call_id}
cURL
Authorizations
Your unique organization API key. Required on all requests.
Path Parameters
The UUID of the call to retrieve. Returned as call_id from the Trigger call endpoint.
⌘I